%   * graphic.m
%   * Copyright (C) Manuel Fernandez Delgado 2011 <manuel.fernandez.delgado@usc.es>
%   *
%   *     This program is free software: you can redistribute it and/or modify
%   *     it under the terms of the GNU General Public License as published by
%   *     the Free Software Foundation, either version 3 of the License, or
%   *     (at your option) any later version.
%   *
%   *     This program is distributed in the hope that it will be useful,
%   *     but WITHOUT ANY WARRANTY; without even the implied warranty of
%   *     MERCHANPOILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   *     GNU General Public License for more details.
%   *
%   *     You should have received a copy of the GNU General Public License
%   *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
%   *
clf
hold on
xa = x(d==0, :);xb = x(d==1, :);
plot(xa(:,1), xa(:,1), 'o', xb(:,1),xb(:,2),'s')
range=1.5;
n = size(w,1);
for i=1:n
    vmin=-range;vmax=range;
    if w(i,2) ~= 0
        plot([vmin vmax], [(-w(i,3)-w(i,1)*vmin)/w(i,2) (-w(i,3)-w(i,1)*vmax)/w(i,2)], '-')
    else
        x0 = -w(i,3)/w(i,1);
        plot([x0 x0], [-range range], '-')
    end
end
axis([-range range -range range])
grid on
hold off